---
title: CredentialsContainer.store()
slug: Web/API/CredentialsContainer/store
tags:
  - API
  - Credential Management API
  - CredentialsContainer
  - Method
  - NeedsExample
  - Reference
  - credential management
---
<p>{{APIRef("")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>store()</code></strong> method of the {{domxref("CredentialsContainer")}} stores a set of credentials for the user inside a {{domxref("Credential")}} instance, returning this in a {{domxref("Promise")}}.</span></p>

<div class="note">
<p>This method is restricted to top-level contexts. Calls to it within an <code>&lt;iframe&gt;</code> element will resolve without effect.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">CredentialsContainer.store(Credential).then(function(Credential) { ... } )</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>Credentials</dt>
 <dd>A valid {{domxref("Credential")}} instance.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("Promise")}}, resolving to the passed {{domxref("Credential")}} instance.</p>

<h2 id="Example">Example</h2>

<h3 id="Storing_a_password_credential_at_successeful_authentication">Storing a password credential at successeful authentication</h3>

<p>This code would be executed after a user signs up or logs in and the server confirms the credential is correct.</p>

<pre class="brush: js notranslate">// Check if the browser supports password credentials (and the Credential Management API)
if ("PasswordCredential" in window) {
  let credential = new PasswordCredential({
    id: "example-username",
    name: "John Doe", // In case of a login, the name comes from the server.
    password: "correct horse battery staple"
  });

  navigator.credentials.store(credential).then(() =&gt; {
    console.info("Credential stored in the user agent's credential manager.");
  }, (err) =&gt; {
    console.error("Error while storing the credential: ", err);
  });
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Credential Management')}}</td>
   <td>{{Spec2('Credential Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.CredentialsContainer.store")}}</p>
</div>
